Skip to content
LogoLogo

Circuit

Account

GET/cosmos/circuit/v1/accounts

Account returns account permissions.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

Account

GET/cosmos/circuit/v1/accounts/{address}

Account returns account permissions.

Path Parameters

addressRequired
string

Responses

DisabledList

GET/cosmos/circuit/v1/disable_list

DisabledList returns a list of disabled message urls

Responses